VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Attributes | List of all members
CSegmentButton::Segment Struct Reference

## Public Attributes
UTF8String | name
SharedPointer< CBitmap > | icon
SharedPointer< CBitmap > | iconHighlighted
SharedPointer< CBitmap > | background
SharedPointer< CBitmap > | backgroundHighlighted
CDrawMethods::IconPosition | iconPosition
CRect | rect
bool | selected {false}

## Member Data Documentation

SharedPointer<CBitmap> background
| mutable

SharedPointer<CBitmap> backgroundHighlighted
| mutable

SharedPointer<CBitmap> icon
| mutable

SharedPointer<CBitmap> iconHighlighted
| mutable

CDrawMethods::IconPosition iconPosition
| mutable

UTF8String name
| mutable

CRect rect

bool selected {false}

The documentation for this struct was generated from the following file:

- csegmentbutton.h